Bug 493539

Summary: KMS:RS482:Radeon Xpress 200M TestDay for Radeon fails rotating
Product: [Fedora] Fedora Reporter: Mauro Carvalho Chehab <mchehab>
Component: xorg-x11-drv-atiAssignee: Dave Airlie <airlied>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 11CC: lwang, vedran, xgl-maint
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-05-24 15:24:40 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
Xorg.0.log
none
captured screen showing artifacts none

Description Mauro Carvalho Chehab 2009-04-02 03:43:11 EDT
Description of problem:

Run this test
https://fedoraproject.org/wiki/QA:Testcase_radeon_rotate

And try to rotate. The result is that the image got completely corrupted.
Comment 1 Matěj Cepl 2009-04-06 12:17:22 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Mauro Carvalho Chehab 2009-04-08 13:31:44 EDT
Created attachment 338764 [details]
Xorg.0.log

I haven't used any /etc/X11/xorg.conf. It used the builtin. I've repeated the test today, using the same Radeon Test Day image.

This time, I tried to put the image upside down and rotate left/right. upside down worked without artifacts. Rotate left or Rotate right produced a messy random image. Returning back to the original image worked on all cases.
Comment 3 Dave Airlie 2009-04-14 23:12:12 EDT
does this still happen with the latest -ati and kernel?

latest ati is 6.12.2-2.
Comment 4 Mauro Carvalho Chehab 2009-04-18 06:01:25 EDT
I've updated my F10 partition to rawhide, in order to test. I'm now using:

xorg-x11-drv-ati-6.12.2-2.fc11.i586
kernel-2.6.29.1-70.fc11.i586

I also removed the /etc/X11/xorg.conf, to try to have the same behaviour as the legacy 
with gnome-display-properties, trying to rotate gaves an error, saying that it can't apply the selected configuration:

   Não foi possível aplicar a configuração selecionada

   Method "ApplyConfiguration" with signature "" on interface "org.gnome.SettingsDaemon.XRANDR" doesn't exist

An usage of the text mode tool (xrandr) properly rotated inverted, left, right and normal.

However, after returning back to normal, it is noticed that font and image display were not working properly.

I'm enclosing a captured gimp screen showing the artifacts. It shold also be noticed that the captured screen displayed at the machine has even more artifacts, showing a completely useless picture.
Comment 5 Mauro Carvalho Chehab 2009-04-18 06:03:22 EDT
Created attachment 340141 [details]
captured screen showing artifacts

On this screen, it can be seen that several fonts and bitmap pictures were showing incorrectly, after rotating and rotating back.
Comment 6 Bug Zapper 2009-06-09 09:04:10 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Matěj Cepl 2009-11-05 13:24:43 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 8 Matěj Cepl 2010-02-26 07:24:06 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 9 Bug Zapper 2010-04-27 09:26:22 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Vedran Miletić 2010-05-24 13:37:09 EDT
Improving summary.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

[This triage is part of collective effort done by students of University of
Rijeka Department of Informatics.]
Comment 11 Vedran Miletić 2010-05-24 15:24:40 EDT
Closing per comment 8.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

[This triage is part of collective effort done by students of University of
Rijeka Department of Informatics.]